<?php if ( !defined( 'ABSPATH' ) ) exit;//PHPの宣言と直接アクセスの拒否

function haumenu_sanitize_content_add_icon_font($value){
	$value = (array) $value;
	$original_value = get_option('hautility-option-09-addcontent'); // 元の値を保持

	/*** ダッシュアイコンを使うかどうか ***/
	/* チェックボックス（存在するかどうか） */
	if ( isset( $value['use-custom-design-with-dashicon'] ) && $value['use-custom-design-with-dashicon'] === '1' ) {
		$value['use-custom-design-with-dashicon'] = '1'; // 明示的に '1' を設定
	} else {
		$value['use-custom-design-with-dashicon'] = ''; // チェックされていない場合は空文字を設定
	}

	/*** アイコンを拡張する ***/
	/* チェックボックス（存在するかどうか） */
	if ( isset( $value['expansion-hau-icons'] ) && $value['expansion-hau-icons'] === '1' ) {
		$value['expansion-hau-icons'] = '1'; // 明示的に '1' を設定
	} else {
		$value['expansion-hau-icons'] = ''; // チェックされていない場合は空文字を設定
	}



	/* ---------- ここまでに項目ごとの記述をする ---------- */
	return $value;//値を返す
}